GreatWksDBParserInternal::Block Struct Reference

a big block of a GreatWksDBParser More...

## Classes

struct | Zone
| a small block of a GreatWksDBParserInternal::Block More...

## Public Member Functions

| Block (BlockHeader const &header)
| constructor
| Block (BlockHeader const &header, Zone &zone)
| constructor given a zone
| ~Block ()
| destructor
bool | isEmpty () const
| returns true if the zone list is empty
size_t | getNumZones () const
| returns the number of zone
Zone const & | getZone (size_t i) const
| returns the ith zone

## Public Attributes

BlockHeader | m_header
| the corresponding entry header
std::vector< Zone > | m_zoneList
| the zone list

## Private Member Functions

| Block (Block const &orig)=delete
Block & | operator= (Block const &orig)=delete

## Detailed Description

a big block of a GreatWksDBParser

## Constructor & Destructor Documentation

## Block() [1/3]

GreatWksDBParserInternal::Block::Block | ( | BlockHeader const & | header | ) |

inline explicit

constructor

Referenced by Block(), and operator=().

## Block() [2/3]

GreatWksDBParserInternal::Block::Block | ( | BlockHeader const & | header,
|  | Zone & | zone )

inline

constructor given a zone

## ~Block()

GreatWksDBParserInternal::Block::~Block | ( |  | ) |

inline

destructor

## Block() [3/3]

GreatWksDBParserInternal::Block::Block | ( | Block const & | orig | ) |

private delete

## Member Function Documentation

## getNumZones()

size_t GreatWksDBParserInternal::Block::getNumZones | ( |  | ) | const

inline

returns the number of zone

Referenced by GreatWksDBParser::readBlock(), GreatWksDBParser::readBlockHeader2(), GreatWksDBParser::readFreeList(), GreatWksDBParser::readRecordList(), and GreatWksDBParser::readRowLinks().

## getZone()

Zone const & GreatWksDBParserInternal::Block::getZone | ( | size_t | i | ) | const

inline

returns the ith zone

Referenced by GreatWksDBParser::readBlock(), GreatWksDBParser::readBlockHeader2(), GreatWksDBParser::readFreeList(), GreatWksDBParser::readRecordList(), and GreatWksDBParser::readRowLinks().

## isEmpty()

bool GreatWksDBParserInternal::Block::isEmpty | ( |  | ) | const

inline

returns true if the zone list is empty

## operator=()

Block & GreatWksDBParserInternal::Block::operator= | ( | Block const & | orig | ) |

private delete

## Member Data Documentation

## m_header

BlockHeader GreatWksDBParserInternal::Block::m_header

the corresponding entry header

Referenced by Block(), Block(), GreatWksDBParser::readBlock(), GreatWksDBParser::readBlockHeader2(), GreatWksDBParser::readFreeList(), GreatWksDBParser::readRecordList(), and GreatWksDBParser::readRowLinks().

## m_zoneList

std::vector<Zone> GreatWksDBParserInternal::Block::m_zoneList

the zone list

Referenced by Block(), Block(), getNumZones(), getZone(), and isEmpty().

The documentation for this struct was generated from the following file:

- GreatWksDBParser.cxx